import Joi from 'joi';
import { Algorithm, AuthBaseToken, TokenKind, BaseIdToken } from './auth-base-token';
export declare type AuthIdRefreshTokenClaim = BaseIdToken & {
    kind: TokenKind;
    uuid: string;
};
export declare const schemaAuthIdRefreshTokenClaim: {
    kind: Joi.StringSchema;
    uuid: Joi.StringSchema;
    appDomain: Joi.StringSchema;
    userId: Joi.NumberSchema;
    userName: Joi.StringSchema;
    localeCode: Joi.StringSchema;
    productId: Joi.NumberSchema;
};
export declare class AuthIdRefreshToken extends AuthBaseToken<AuthIdRefreshTokenClaim> {
    private static self;
    private constructor();
    static init(secret: string, expiresIn: string | number, algorithm?: Algorithm): typeof AuthIdRefreshToken;
    static term(): void;
    static get instance(): AuthIdRefreshToken;
    static get isEnabled(): boolean;
    get expiresIn(): string | number;
}
