import Joi from 'joi';
import { BaseIdToken } from './auth-base-token';
import { AppDomain, Rule } from './auth-type';
export declare const _rule: Joi.ObjectSchema<any>;
export declare const _rules: Joi.ArraySchema;
export declare type VerifyIdToken = BaseIdToken & {
    rules?: Rule[];
};
export declare const schemaVerifyIdToken: {
    rules: Joi.ArraySchema;
    appDomain: Joi.StringSchema;
    userId: Joi.NumberSchema;
    userName: Joi.StringSchema;
    localeCode: Joi.StringSchema;
    productId: Joi.NumberSchema;
};
export declare type AuthBearerVerify = (token: string) => Promise<VerifyIdToken>;
export declare type BasicMetadata = {
    username: string;
    password: string;
    appDomain?: AppDomain;
};
export declare type AuthBasicVerify = (params: BasicMetadata) => Promise<VerifyIdToken>;
